Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Clutter::Animator Class Reference

Inherits Glib::Object.

Collaboration diagram for Clutter::Animator:
[legend]

List of all members.

## Public Member Functions
virtual | ~Animator ()
ClutterAnimator* | gobj ()
| Provides access to the underlying C GObject.
const ClutterAnimator* | gobj () const
| Provides access to the underlying C GObject.
ClutterAnimator* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Animator > | set_key (const Glib::RefPtr< Glib::Object >& object, const Glib::ustring& property_name, guint mode, double progress, const Glib::ValueBase&value)
| Sets a single key in the Clutter::Animator for the property_name of object at progress.
Glib::RefPtr< const Animator > | set_key (const Glib::RefPtr< Glib::Object >& object, const Glib::ustring& property_name, guint mode, double progress, const Glib::ValueBase&value) const
| Sets a single key in the Clutter::Animator for the property_name of object at progress.
void | remove_key (const Glib::RefPtr< Glib::Object >& object, const Glib::ustring& property_name, double progress)
| Removes all keys matching the conditions specificed in the arguments.
Glib::RefPtr< Timeline > | start ()
| Start the ClutterAnimator, this is a thin wrapper that rewinds and starts the animators current timeline.
Glib::RefPtr< const Timeline > | start () const
| Start the ClutterAnimator, this is a thin wrapper that rewinds and starts the animators current timeline.
bool | compute_value (const Glib::RefPtr< Glib::Object >& object, const Glib::ustring& property_name, double progress, Glib::ValueBase&value)
| Compute the value for a managed property at a given progress.
void | set_timeline (const Glib::RefPtr< Timeline >& timeline)
| Sets an external timeline that will be used for driving the animation.
Glib::RefPtr< Timeline > | get_timeline ()
| Get the timeline hooked up for driving the Clutter::Animator.
Glib::RefPtr< const Timeline > | get_timeline () const
| Get the timeline hooked up for driving the Clutter::Animator.
void | set_duration (guint duration)
| Runs the timeline of the Clutter::Animator with a duration in msecs as specified.
guint | get_duration () const
| Retrieves the current duration of an animator.
void | property_set_ease_in (const Glib::RefPtr< Glib::Object >& object, const Glib::ustring& property_name, bool ease_in)
| Sets whether a property value is to be eased into the animation.
bool | property_get_ease_in (const Glib::RefPtr< Glib::Object >& object, const Glib::ustring& property_name)
| Checks if a property value is to be eased into the animation.
void | property_set_interpolation (const Glib::RefPtr< Glib::Object >& object, const Glib::ustring& property_name, Interpolation interpolation)
| Set the interpolation method to use, Clutter::INTERPOLATION_LINEAR causes the values to linearly change between the values, and Clutter::INTERPOLATION_CUBIC causes the values to smoothly change between the values.
Interpolation | property_get_interpolation (const Glib::RefPtr< Glib::Object >& object, const Glib::ustring& property_name)
| Get the interpolation used by animator for a property on a particular object.
Glib::PropertyProxy< guint > | property_duration ()
| The duration of the animation.
Glib::PropertyProxy_ReadOnly < guint > | property_duration () const
| The duration of the animation.
Glib::PropertyProxy < Glib::RefPtr< Timeline > > | property_timeline ()
| The timeline of the animation.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Timeline > > | property_timeline () const
| The timeline of the animation.
## Static Public Member Functions
static Glib::RefPtr< Animator > | create ()
## Protected Member Functions
| Animator ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Clutter::Animator > | wrap (ClutterAnimator* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::Animator::~Animator | ( |  | ) | `[virtual]`

Clutter::Animator::Animator | ( |  | ) | `[protected]`

## Member Function Documentation

bool Clutter::Animator::compute_value | ( | const Glib::RefPtr< Glib::Object > & | object,
|  | const Glib::ustring & | property_name,
|  | double | progress,
|  | Glib::ValueBase & | value |
| ) |  |  |

Compute the value for a managed property at a given progress.

If the property is an ease-in property, the current value of the property on the object will be used as the starting point for computation.

Since cluttermm 1.2:

Parameters:

  | object | A Object.
  | property_name | The name of the property on object to check.
  | progress | A value between 0.0 and 1.0.
  | value | An initialized value to store the computed result.

Returns:
  `true` if the computation yields has a value, otherwise (when an error occurs or the progress is before any of the keys) `false` is returned and the Value is left untouched.

static Glib::RefPtr<Animator> Clutter::Animator::create | ( |  | ) | `[static]`

guint Clutter::Animator::get_duration | ( |  | ) | const

Retrieves the current duration of an animator.

Since cluttermm 1.2:

Returns:
  The duration of the animation, in milliseconds.

Glib::RefPtr<const Timeline> Clutter::Animator::get_timeline | ( |  | ) | const

Get the timeline hooked up for driving the Clutter::Animator.

Since cluttermm 1.2:

Returns:
  The Clutter::Timeline that drives the animator.

Glib::RefPtr<Timeline> Clutter::Animator::get_timeline | ( |  | ) |

Get the timeline hooked up for driving the Clutter::Animator.

Since cluttermm 1.2:

Returns:
  The Clutter::Timeline that drives the animator.

const ClutterAnimator* Clutter::Animator::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

ClutterAnimator* Clutter::Animator::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

ClutterAnimator* Clutter::Animator::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy<guint> Clutter::Animator::property_duration | ( |  | ) |

The duration of the animation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Clutter::Animator::property_duration | ( |  | ) | const

The duration of the animation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

bool Clutter::Animator::property_get_ease_in | ( | const Glib::RefPtr< Glib::Object > & | object,
|  | const Glib::ustring & | property_name |
| ) |  |  |

Checks if a property value is to be eased into the animation.

Since cluttermm 1.2:

Parameters:

  | object | A Object.
  | property_name | The name of a property on object.

Returns:
  `true` if the property is eased in.

Interpolation Clutter::Animator::property_get_interpolation | ( | const Glib::RefPtr< Glib::Object > & | object,
|  | const Glib::ustring & | property_name |
| ) |  |  |

Get the interpolation used by animator for a property on a particular object.

Since cluttermm 1.2:

Parameters:

  | object | A Object.
  | property_name | The name of a property on object.

Returns:
  A ClutterInterpolation value.

void Clutter::Animator::property_set_ease_in | ( | const Glib::RefPtr< Glib::Object > & | object,
|  | const Glib::ustring & | property_name,
|  | bool | ease_in |
| ) |  |  |

Sets whether a property value is to be eased into the animation.

Since cluttermm 1.2:

Parameters:

  | object | A Object.
  | property_name | The name of a property on object.
  | ease_in | We are going to be easing in this property.

void Clutter::Animator::property_set_interpolation | ( | const Glib::RefPtr< Glib::Object > & | object,
|  | const Glib::ustring & | property_name,
|  | Interpolation | interpolation |
| ) |  |  |

Set the interpolation method to use, Clutter::INTERPOLATION_LINEAR causes the values to linearly change between the values, and Clutter::INTERPOLATION_CUBIC causes the values to smoothly change between the values.

Since cluttermm 1.2:

Parameters:

  | object | A Object.
  | property_name | The name of a property on object.
  | interpolation | The Clutter::Interpolation to use.

Glib::PropertyProxy< Glib::RefPtr<Timeline> > Clutter::Animator::property_timeline | ( |  | ) |

The timeline of the animation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Timeline> > Clutter::Animator::property_timeline | ( |  | ) | const

The timeline of the animation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::Animator::remove_key | ( | const Glib::RefPtr< Glib::Object > & | object,
|  | const Glib::ustring & | property_name,
|  | double | progress |
| ) |  |  |

Removes all keys matching the conditions specificed in the arguments.

Since cluttermm 1.2:

Parameters:

  | object | A Object to search for, or `0` for all.
  | property_name | A specific property name to query for, or `0` for all.
  | progress | A specific progress to search for or a negative value for all.

void Clutter::Animator::set_duration | ( | guint | duration | ) |

Runs the timeline of the Clutter::Animator with a duration in msecs as specified.

Since cluttermm 1.2:

Parameters:

  | duration | Milliseconds a run of the animator should last.

Glib::RefPtr<const Animator> Clutter::Animator::set_key | ( | const Glib::RefPtr< Glib::Object > & | object,
|  | const Glib::ustring & | property_name,
|  | guint | mode,
|  | double | progress,
|  | const Glib::ValueBase & | value |
| ) |  |  | const

Sets a single key in the Clutter::Animator for the property_name of object at progress.

See also: set()

Since cluttermm 1.2:

Parameters:

  | object | A Object.
  | property_name | The property to specify a key for.
  | mode | The id of the alpha function to use.
  | progress | The normalized range at which stage of the animation this value applies.
  | value | The value property_name should have at progress.

Returns:
  The animator instance.

Glib::RefPtr<Animator> Clutter::Animator::set_key | ( | const Glib::RefPtr< Glib::Object > & | object,
|  | const Glib::ustring & | property_name,
|  | guint | mode,
|  | double | progress,
|  | const Glib::ValueBase & | value |
| ) |  |  |

Sets a single key in the Clutter::Animator for the property_name of object at progress.

See also: set()

Since cluttermm 1.2:

Parameters:

  | object | A Object.
  | property_name | The property to specify a key for.
  | mode | The id of the alpha function to use.
  | progress | The normalized range at which stage of the animation this value applies.
  | value | The value property_name should have at progress.

Returns:
  The animator instance.

void Clutter::Animator::set_timeline | ( | const Glib::RefPtr< Timeline >& | timeline | ) |

Sets an external timeline that will be used for driving the animation.

Since cluttermm 1.2:

Parameters:

  | timeline | A Clutter::Timeline.

Glib::RefPtr<Timeline> Clutter::Animator::start | ( |  | ) |

Start the ClutterAnimator, this is a thin wrapper that rewinds and starts the animators current timeline.

Since cluttermm 1.2:

Returns:
  The Clutter::Timeline that drives the animator.

Glib::RefPtr<const Timeline> Clutter::Animator::start | ( |  | ) | const

Start the ClutterAnimator, this is a thin wrapper that rewinds and starts the animators current timeline.

Since cluttermm 1.2:

Returns:
  The Clutter::Timeline that drives the animator.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Animator > wrap | ( | ClutterAnimator * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/animator.h